package com.withpersona.sdk2.inquiry

import androidx.core.content.FileProvider

/**
 * This file provider is used by the Document step. The document step allows users to upload an
 * image by taking a photo from the camera app. The camera app requires that the caller sends the
 * path where the image will be saved. Since we want to save the image into an internal directory,
 * we need to give the camera app permission to write to the app's directory. To do this, we use the
 * file provider.
 */
// We declare the file provider in dynamic-module because there is currently a bug that will
// cause a crash if content providers are not included in the base SDK when dynamic feature modules
// are used. To work around this bug, we declare the file provider here so that the content provider
// can be included in the base app when dynamic feature modules are used.
// See https://issuetracker.google.com/issues/257765153.
class DocumentFileProvider : FileProvider()