package com.withpersona.sdk2.inquiry

import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.SupervisorJob
import kotlinx.coroutines.flow.MutableSharedFlow
import kotlinx.coroutines.flow.SharedFlow
import kotlinx.coroutines.launch

object InquiryActivityBroadcastManager {
  private val coroutineScope = CoroutineScope(Dispatchers.Default + SupervisorJob())
  private val _eventFlow = MutableSharedFlow<InquiryActivityEvent>()

  val eventFlow: SharedFlow<InquiryActivityEvent>
    get() = _eventFlow

  fun cancelRunningInquiries() {
    coroutineScope.launch {
      _eventFlow.emit(InquiryActivityEvent.CancelInquiry)
    }
  }
}

sealed interface InquiryActivityEvent {
  data object CancelInquiry : InquiryActivityEvent
}