package com.withpersona.sdk2.inquiry

/**
 * Convenience function for creating an [InlineInquiryBuilder] from an [InquiryTemplateBuilder].
 */
@ExperimentalInlineApi
fun InquiryTemplateBuilder.toInlineInquiryBuilder() =
  build()
    .buildInlineInquiry()

/**
 * Convenience function for creating an [InlineInquiryBuilder] from an [InquiryBuilder].
 */
@ExperimentalInlineApi
fun InquiryBuilder.toInlineInquiryBuilder() =
  build()
    .buildInlineInquiry()

/**
 * Convenience function for creating a fragment from an [InlineInquiryBuilder].
 */
@ExperimentalInlineApi
fun InlineInquiryBuilder.createFragment() =
  build()
    .createFragment()