package com.withpersona.sdk2.inquiry

import android.os.Parcelable
import androidx.annotation.RawRes
import kotlinx.parcelize.Parcelize

/**
 * A StaticInquiryTemplate allows clients to move through a predefined linear inquiry flow.
 */
@ExperimentalInquiryTemplate
sealed interface StaticInquiryTemplate : Parcelable

/**
 * A LocalStaticInquiryTemplate provides a raw resource file id for a resource bundled with the hosting app
 * that contains the linear steps json for a given template.
 */
@ExperimentalInquiryTemplate
@Parcelize
class LocalStaticInquiryTemplate(@RawRes val resourceId: Int) : StaticInquiryTemplate